Create Off-ramp Intent
curl --request POST \
--url https://api.coinvoyage.io/v3/off-ramp/intents \
--header 'Authorization: <api-key>' \
--header 'Authorization-Signature: <authorization-signature>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10.5,
"bank_account_id": "external_123",
"payment_rail": "ach",
"sender_address": "0x1234...abcd",
"slippage_bps": 50,
"src": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"chain_id": 30000000000001
},
"withdraw_currency": "usd"
}
'import requests
url = "https://api.coinvoyage.io/v3/off-ramp/intents"
payload = {
"amount": 10.5,
"bank_account_id": "external_123",
"payment_rail": "ach",
"sender_address": "0x1234...abcd",
"slippage_bps": 50,
"src": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"chain_id": 30000000000001
},
"withdraw_currency": "usd"
}
headers = {
"Authorization-Signature": "<authorization-signature>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Authorization-Signature': '<authorization-signature>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
amount: 10.5,
bank_account_id: 'external_123',
payment_rail: 'ach',
sender_address: '0x1234...abcd',
slippage_bps: 50,
src: {
address: 'EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v',
chain_id: 30000000000001
},
withdraw_currency: 'usd'
})
};
fetch('https://api.coinvoyage.io/v3/off-ramp/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payment_rail": "ach",
"source": {
"address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"chain_id": 8453,
"decimals": 6,
"id": "8453-0xabc123...",
"name": "USD Coin",
"ticker": "USDC"
}
},
"id": "withdrawal_123",
"organization_id": "org_123",
"source_transaction_hash": "0xabc123...",
"status": "PENDING",
"type": "OFF_RAMP"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}off-ramp
Create Off-ramp Intent
POST
/
off-ramp
/
intents
Create Off-ramp Intent
Authorizations
HMAC-SHA256 signature. See the Authorization-Signature header parameter on signed operations.
Headers
HMAC-SHA256 signature header: 'APIKey=<api_key>,signature=,timestamp=<unix_timestamp>'. The signature is computed over METHOD + path (with the /v3 prefix stripped) + timestamp.
Body
application/json
Show child attributes
Show child attributes
Example:
{
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"chain_id": 30000000000001
}
Example:
10.5
Example:
"external_123"
Example:
"usd"
Bridge fiat payment rail used for off-ramp withdrawal settlement
Available options:
ach, wire, ach_push, ach_same_day, sepa, spei, pix, swift, faster_payments, fiat_deposit_return Example:
"ach"
Example:
"0x1234...abcd"
Example:
50
Response
Off-ramp intent created with execution steps
Example:
"withdrawal_123"
Example:
"org_123"
Available options:
OFF_RAMP, ON_RAMP Example:
"OFF_RAMP"
Available options:
PENDING, FUNDS_RECEIVED, KYC_PENDING, COMPLETED, FAILED Example:
"PENDING"
Show child attributes
Show child attributes
Example:
{
"payment_rail": "ach",
"source": {
"address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"amount": {
"raw": "100000000",
"ui": "100.0",
"value_usd": 100
},
"chain_id": 8453,
"decimals": 6,
"id": "8453-0xabc123...",
"name": "USD Coin",
"ticker": "USDC"
}
}
Example:
"0xabc123..."
Was this page helpful?
⌘I